VirtualNetworkAddress-bronnen weergeven op CloudVmCluster
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Oracle.Database/cloudVmClusters/{cloudvmclustername}/virtualNetworkAddresses?api-version=2025-09-01
URI-parameters
| Name |
In |
Vereist |
Type |
Description |
|
cloudvmclustername
|
path |
True
|
string
pattern: .*
|
Naam van CloudVmCluster
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
De naam van de resourcegroep. De naam is hoofdletterongevoelig.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
De id van het doelabonnement. De waarde moet een UUID zijn.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
De API-versie die voor deze bewerking moet worden gebruikt.
|
Antwoorden
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name |
Description |
|
user_impersonation
|
Uw gebruikersaccount imiteren
|
Voorbeelden
List Virtual Network Addresses by VM Cluster
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses?api-version=2025-09-01
/**
* Samples for VirtualNetworkAddresses ListByCloudVmCluster.
*/
public final class Main {
/*
* x-ms-original-file: 2025-09-01/virtualNetworkAddresses_listByParent.json
*/
/**
* Sample code: VirtualNetworkAddresses_listByCloudVmCluster.
*
* @param manager Entry point to OracleDatabaseManager.
*/
public static void virtualNetworkAddressesListByCloudVmCluster(
com.azure.resourcemanager.oracledatabase.OracleDatabaseManager manager) {
manager.virtualNetworkAddresses().listByCloudVmCluster("rg000", "cluster1", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armoracledatabase_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/oracledatabase/armoracledatabase/v2"
)
// Generated from example definition: 2025-09-01/virtualNetworkAddresses_listByParent.json
func ExampleVirtualNetworkAddressesClient_NewListByCloudVMClusterPager() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armoracledatabase.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewVirtualNetworkAddressesClient().NewListByCloudVMClusterPager("rg000", "cluster1", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armoracledatabase.VirtualNetworkAddressesClientListByCloudVMClusterResponse{
// VirtualNetworkAddressListResult: armoracledatabase.VirtualNetworkAddressListResult{
// Value: []*armoracledatabase.VirtualNetworkAddress{
// {
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1"),
// Type: to.Ptr("Oracle.Database/cloudVmClusters/virtualNetworkAddresses"),
// Properties: &armoracledatabase.VirtualNetworkAddressProperties{
// IPAddress: to.Ptr("192.168.0.1"),
// VMOcid: to.Ptr("ocid1..aaaa"),
// Ocid: to.Ptr("ocid1..aaaaaa"),
// Domain: to.Ptr("domain1"),
// LifecycleDetails: to.Ptr("success"),
// ProvisioningState: to.Ptr(armoracledatabase.AzureResourceProvisioningStateSucceeded),
// LifecycleState: to.Ptr(armoracledatabase.VirtualNetworkAddressLifecycleStateAvailable),
// TimeAssigned: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-10-22T00:27:02.119Z"); return t}()),
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Voorbeeldrespons
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1",
"type": "Oracle.Database/cloudVmClusters/virtualNetworkAddresses",
"properties": {
"ipAddress": "192.168.0.1",
"vmOcid": "ocid1..aaaa",
"ocid": "ocid1..aaaaaa",
"domain": "domain1",
"lifecycleDetails": "success",
"provisioningState": "Succeeded",
"lifecycleState": "Available",
"timeAssigned": "2023-10-22T00:27:02.119Z"
}
}
],
"nextLink": null
}
List Virtual Network Addresses by VM Cluster - generated by [MaximumSet] rule
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgopenapi/providers/Oracle.Database/cloudVmClusters/Replace this value with a string matching RegExp .*/virtualNetworkAddresses?api-version=2025-09-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.oracledatabase import OracleDatabaseMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-oracledatabase
# USAGE
python virtual_network_addresses_list_by_parent_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = OracleDatabaseMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.virtual_network_addresses.list_by_parent(
resource_group_name="rgopenapi",
cloudvmclustername="Replace this value with a string matching RegExp .*",
)
for item in response:
print(item)
# x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { OracleDatabaseManagementClient } = require("@azure/arm-oracledatabase");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list VirtualNetworkAddress resources by CloudVmCluster
*
* @summary list VirtualNetworkAddress resources by CloudVmCluster
* x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
*/
async function listVirtualNetworkAddressesByVMClusterGeneratedByMaximumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new OracleDatabaseManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.virtualNetworkAddresses.listByParent(
"rgopenapi",
"Replace this value with a string matching RegExp .*",
)) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.OracleDatabase;
// Generated from example definition: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
// this example is just showing the usage of "VirtualNetworkAddress_ListByParent" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this CloudVmClusterResource created on azure
// for more information of creating CloudVmClusterResource, please refer to the document of CloudVmClusterResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgopenapi";
string cloudvmclustername = "Replace this value with a string matching RegExp .*";
ResourceIdentifier cloudVmClusterResourceId = CloudVmClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, cloudvmclustername);
CloudVmClusterResource cloudVmCluster = client.GetCloudVmClusterResource(cloudVmClusterResourceId);
// get the collection of this CloudVmClusterVirtualNetworkAddressResource
CloudVmClusterVirtualNetworkAddressCollection collection = cloudVmCluster.GetCloudVmClusterVirtualNetworkAddresses();
// invoke the operation and iterate over the result
await foreach (CloudVmClusterVirtualNetworkAddressResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
CloudVmClusterVirtualNetworkAddressData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Voorbeeldrespons
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1",
"type": "Oracle.Database/cloudVmClusters/virtualNetworkAddresses",
"properties": {
"ipAddress": "192.168.0.1",
"vmOcid": "ocid1..aaaa",
"ocid": "ocid1..aaaaaa",
"domain": "domain1",
"lifecycleDetails": "success",
"provisioningState": "Succeeded",
"lifecycleState": "Available",
"timeAssigned": "2023-10-22T00:27:02.119Z"
},
"name": "xhlq",
"systemData": {
"createdBy": "sqehacivpuim",
"createdByType": "User",
"createdAt": "2025-08-01T04:32:58.716Z",
"lastModifiedBy": "axrqfdkqylvjv",
"lastModifiedByType": "User",
"lastModifiedAt": "2025-08-01T04:32:58.716Z"
}
}
],
"nextLink": "https://microsoft.com/a"
}
List Virtual Network Addresses by VM Cluster - generated by [MinimumSet] rule
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgopenapi/providers/Oracle.Database/cloudVmClusters/Replace this value with a string matching RegExp .*/virtualNetworkAddresses?api-version=2025-09-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.oracledatabase import OracleDatabaseMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-oracledatabase
# USAGE
python virtual_network_addresses_list_by_parent_minimum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = OracleDatabaseMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.virtual_network_addresses.list_by_parent(
resource_group_name="rgopenapi",
cloudvmclustername="Replace this value with a string matching RegExp .*",
)
for item in response:
print(item)
# x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { OracleDatabaseManagementClient } = require("@azure/arm-oracledatabase");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list VirtualNetworkAddress resources by CloudVmCluster
*
* @summary list VirtualNetworkAddress resources by CloudVmCluster
* x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
*/
async function listVirtualNetworkAddressesByVMClusterGeneratedByMinimumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new OracleDatabaseManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.virtualNetworkAddresses.listByParent(
"rgopenapi",
"Replace this value with a string matching RegExp .*",
)) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.OracleDatabase;
// Generated from example definition: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
// this example is just showing the usage of "VirtualNetworkAddress_ListByParent" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this CloudVmClusterResource created on azure
// for more information of creating CloudVmClusterResource, please refer to the document of CloudVmClusterResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgopenapi";
string cloudvmclustername = "Replace this value with a string matching RegExp .*";
ResourceIdentifier cloudVmClusterResourceId = CloudVmClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, cloudvmclustername);
CloudVmClusterResource cloudVmCluster = client.GetCloudVmClusterResource(cloudVmClusterResourceId);
// get the collection of this CloudVmClusterVirtualNetworkAddressResource
CloudVmClusterVirtualNetworkAddressCollection collection = cloudVmCluster.GetCloudVmClusterVirtualNetworkAddresses();
// invoke the operation and iterate over the result
await foreach (CloudVmClusterVirtualNetworkAddressResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
CloudVmClusterVirtualNetworkAddressData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Voorbeeldrespons
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1"
}
]
}
Definities
AzureResourceProvisioningState
Inventarisatie
Azure Resource Provisioning State enum
| Waarde |
Description |
|
Succeeded
|
Er is een bron gemaakt.
|
|
Failed
|
Het maken van bronnen is mislukt.
|
|
Canceled
|
Het maken van grondstoffen is geannuleerd.
|
|
Provisioning
|
Geeft aan dat de resource zich in de inrichtingsstatus bevindt
|
createdByType
Inventarisatie
Het type identiteit waarmee de resource is gemaakt.
| Waarde |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ErrorAdditionalInfo
Object
Aanvullende informatie over de resourcebeheerfout.
| Name |
Type |
Description |
|
info
|
object
|
De aanvullende informatie.
|
|
type
|
string
|
Het extra informatietype.
|
ErrorDetail
Object
De foutdetails.
| Name |
Type |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
De fout bevat aanvullende informatie.
|
|
code
|
string
|
De foutcode.
|
|
details
|
ErrorDetail[]
|
De foutdetails.
|
|
message
|
string
|
Het foutbericht.
|
|
target
|
string
|
Het foutdoel.
|
ErrorResponse
Object
Foutreactie
| Name |
Type |
Description |
|
error
|
ErrorDetail
|
Het foutobject.
|
systemData
Object
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name |
Type |
Description |
|
createdAt
|
string
(date-time)
|
De tijdstempel van het maken van resources (UTC).
|
|
createdBy
|
string
|
De identiteit waarmee de resource is gemaakt.
|
|
createdByType
|
createdByType
|
Het type identiteit waarmee de resource is gemaakt.
|
|
lastModifiedAt
|
string
(date-time)
|
De tijdstempel van de laatste wijziging van de resource (UTC)
|
|
lastModifiedBy
|
string
|
De identiteit die de resource voor het laatst heeft gewijzigd.
|
|
lastModifiedByType
|
createdByType
|
Het type identiteit dat de resource voor het laatst heeft gewijzigd.
|
VirtualNetworkAddress
Object
Virtuele IP-resource die behoort tot een VM-clusterresource.
| Name |
Type |
Description |
|
id
|
string
(arm-id)
|
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"
|
|
name
|
string
|
De naam van de resource
|
|
properties.domain
|
string
|
Virtueel netwerkadres volledig gekwalificeerde domeinnaam.
|
|
properties.ipAddress
|
string
|
Adres van virtueel netwerk.
|
|
properties.lifecycleDetails
|
string
|
Aanvullende informatie over de huidige levenscyclusstatus van het virtuele IP-adres (VIP) van de toepassing.
|
|
properties.lifecycleState
|
VirtualNetworkAddressLifecycleState
|
Levenscyclusstatus van virtueel netwerkadres.
|
|
properties.ocid
|
string
minLength: 1 maxLength: 255
|
Toepassing VIP OCID.
|
|
properties.provisioningState
|
AzureResourceProvisioningState
|
Inrichtingsstatus van Azure-resources.
|
|
properties.timeAssigned
|
string
(date-time)
|
De datum en tijd waarop de bewerking voor het maken van het virtuele IP-adres (VIP) van de toepassing is voltooid.
|
|
properties.vmOcid
|
string
minLength: 1 maxLength: 255
|
OCID van virtuele machine.
|
|
systemData
|
systemData
|
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.
|
|
type
|
string
|
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'
|
VirtualNetworkAddressLifecycleState
Inventarisatie
VirtualNetworkAddressLifecycleState enum
| Waarde |
Description |
|
Provisioning
|
Geeft aan dat de resource zich in de inrichtingsstatus bevindt
|
|
Available
|
Geeft aan dat de resource de status Beschikbaar heeft
|
|
Terminating
|
Geeft aan dat de resource de status Beëindigend heeft
|
|
Terminated
|
Geeft aan dat de resource de status Beëindigd heeft
|
|
Failed
|
Geeft aan dat de resource de status Mislukt heeft
|
VirtualNetworkAddressListResult
Object
De reactie van een VirtualNetworkAddress-lijstbewerking.
| Name |
Type |
Description |
|
nextLink
|
string
(uri)
|
De koppeling naar de volgende pagina met items
|
|
value
|
VirtualNetworkAddress[]
|
De VirtualNetworkAddress-items op deze pagina
|